<template>
  <v-navigation-drawer v-model="drawer" fixed app>
    <v-list>
      <v-list-item-group v-model="selectedItem" color="primary">
        <v-list-item v-for="(item, i) in items" :key="i" :to="item.to">
          <v-list-item-icon>
            <v-icon v-text="item.icon"></v-icon>
          </v-list-item-icon>
          <v-list-item-content>
            <v-list-item-title v-text="item.title"></v-list-item-title>
          </v-list-item-content>
        </v-list-item>
      </v-list-item-group>
    </v-list>
    <v-divider></v-divider>
    <v-list>
      <v-subheader>ค่าใช้จ่าย</v-subheader>
      <v-list-item-group v-model="selectedItem" color="primary">
        <v-list-item v-for="(item, i) in expensesItems" :key="i" :to="item.to">
          <v-list-item-icon>
            <v-icon v-text="item.icon"></v-icon>
          </v-list-item-icon>
          <v-list-item-content>
            <v-list-item-title v-text="item.title"></v-list-item-title>
          </v-list-item-content>
        </v-list-item>
      </v-list-item-group>
    </v-list>
    <v-divider></v-divider>
    <v-list>
      <v-subheader>ไฟล์/รูปภาพ</v-subheader>
      <v-list-item-group v-model="selectedItem" color="primary">
        <v-list-item v-for="(item, i) in image" :key="i" :to="item.to">
          <v-list-item-icon>
            <v-icon v-text="item.icon"></v-icon>
          </v-list-item-icon>
          <v-list-item-content>
            <v-list-item-title v-text="item.title"></v-list-item-title>
          </v-list-item-content>
        </v-list-item>
      </v-list-item-group>
    </v-list>
    <v-divider></v-divider>
  </v-navigation-drawer>
</template>
<script>
export default {
  data() {
    return {
      // clipped: false,
      // drawer: false,
      // fixed: false,
      activeBtn: 1,
      selectedItem: 1,
      showNav: true,
      items: [
        {
          icon: 'mdi-account-circle',
          title: 'โปรไฟล์',
         to: { name: 'profile' },
        },
        {
          icon: 'mdi-chart-bar',
          title: 'Dashboard',
          to: { name: 'dashboard' },
        },
      ],
      expensesItems: [
        {
          icon: 'mdi-file-table-outline',
          title: 'ตารางข้อมูล',
          to: { name: 'iexpenses-table' },
        },
        {
          icon: 'mdi-clipboard-list-outline',
          title: 'รายการต้นทุน',
          to: { name: 'iexpenses-list' },
        },
        {
          icon: 'mdi-shape-outline',
          title: 'ประเภทต้นทุน',
          to: { name: 'iexpenses-type' },
        },
        {
          icon: 'mdi-google-circles-communities',
          title: 'หน่วย (ลักษณนาม)',
          to: { name: 'iexpenses-unit' },
        },
        {
          icon: 'mdi-storefront',
          title: 'ร้านค้า',
          to: { name: 'iexpenses-stores' },
        },
      ],
      image: [
        {
          icon: 'mdi-folder-multiple-image',
          title: 'ไฟล์/รูปภาพ',
          to: { name: 'image-viewlist' },
        },
        {
          icon: 'mdi-image-edit',
          title: 'จัดการ ไฟล์/รูปภาพ',
          to: { name: 'image-upload' },
        },
      ],
    }
  },
  computed: {
    drawer: {
      get() {
        return this.$store.state.template.drawer
      },
      set(newVal) {
        this.$store.commit('SET_DRAWER', newVal)
      },
    },
  },
}
</script>
